Can't login to Bankwest net banking with firefox

Bug #537293 reported by Tony Mugan on 2010-03-11
40
This bug affects 7 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox

With the updates received today (2010-03-11), I cannot login to my net banking account in firefox.
Server website confirmed as working on other machines.

When I type in username and password and hit enter, the browser contacts the remote server and then returns something but the screen does not change leaving me looking at the same login page.

ProblemType: Bug
Architecture: amd64
Date: Thu Mar 11 22:47:56 2010
DistroRelease: Ubuntu 10.04
FirefoxPackages:
 firefox 3.6+nobinonly-0ubuntu6
 firefox-gnome-support 3.6+nobinonly-0ubuntu6
 firefox-branding 3.6+nobinonly-0ubuntu6
 abroswer N/A
 abrowser-branding N/A
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
NonfreeKernelModules: nvidia
Package: firefox 3.6+nobinonly-0ubuntu6
ProcEnviron:
 LANG=en_AU.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: firefox
Uname: Linux 2.6.32-16-generic x86_64

Tony Mugan (tmugan) wrote :
avandobben (avandobben) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures

To recreate the bug, please provide your banking web page, as not all banks use the same login method.

At a minimum, we need:
1. the specific steps or actions you took that caused you to encounter the problem,
2. the behavior you expected, and
3. the behavior you actually encountered (in as much detail as possible).
Thanks!

Changed in firefox (Ubuntu):
status: New → Incomplete
Tony Mugan (tmugan) wrote :

The page is

https://ibs.bankwest.com.au/BWLogin/rib.aspx

Other bank logins do work for me, only this one fails.

Tony Mugan (tmugan) wrote :

I have also tested that the website works in Chrome beta.

avandobben (avandobben) wrote :

Thanks alot, will change from incomplete to New. Changed Title as well to make it more specific.

summary: - Can't login to net banking with firefox
+ Can't login to Bankwest net banking with firefox
Changed in firefox (Ubuntu):
status: Incomplete → New
Micah Gersten (micahg) wrote :

Thank you for reporting this to Ubuntu. Have you permitted NoScript to access the site?

Changed in firefox (Ubuntu):
status: New → Incomplete
Tony Mugan (tmugan) wrote :

Micah,

Yes. noscript has allowed the scripts to run.

Is there anything I can do to diagnose this further?

Have tested Firefox 3.6 with this site on another OS and it works.
Similarly, I have tested with Chrome beta on Lucid and that also works.

It did work on the Lucid Alpha3 base release but a patch thereafter broke it.

Regards,

Tony

avandobben (avandobben) on 2010-03-19
Changed in firefox (Ubuntu):
status: Incomplete → New
Tony Mugan (tmugan) wrote :

Tried this on a different machine which also has the latest Lucid fixes and I can log into Bankwest!!!!

Is there anything I should try on the "broken" machine to determine if there might be a configuration issue?

Tony Mugan (tmugan) wrote :

Aha!

I was running noscript from version 1.9.9.50 with all script allowed on bankwest page and login working fine.
Then upgraded to noscript 1.9.9.57 and it stops working even if all scripts are allowed.

Looks like a noscript bug rather than a firefox one.

Tony Mugan (tmugan) wrote :

False alarm.

I uninstalled noscript on the problem machine but still have the same issue.

I cannot login to Bankwest url listed above in Firefox on Lucid with all the latest updates.

For the record, I was running 1.9.9.50 on the problem machine and could not login to bankwest even before updating the noscript addon to 1.9.9.57.

Looks like it's not related.

Now I have two lucid machines exhibiting the same behaviour in Firefox.

Draycen DeCator (ddecator) wrote :

Sometimes Firefox profiles can become corrupt and/or extensions can conflict. Could you please try this with a new profile and see if the problem still exists? You do not need to delete your old profile to test. If this helps, you might want to try to disable all your extensions and re-enable them one by one until you find the problematic one.

You can start the profile manager with the following command:
firefox -ProfileManager

Changed in firefox (Ubuntu):
status: New → Incomplete
Tony Mugan (tmugan) wrote :

I created a new profile as stated above and the Bankwest site works!

I then reverted to my default profile and disabled all addons, and restarted Firefox but Bankwest still does not work.
Considering this has happened on two machines, I am inclined to think that a profile corruption happened during a recent lucid update.

Is there anything I can do to identify what has happened in the profile settings?

Draycen DeCator (ddecator) wrote :

Can you please start Firefox, go to the Error Console (Tools > Error Console), clear the errors currently in there, then restart Firefox and attempt to login to Bankwest on your default profile? After that, please let us know about any errors that show up in the Error Console.

Tony Mugan (tmugan) wrote :

Not much to report here.

I get an error on loadup of the screen initially which is then repeated after login because the same screen gets loaded up again i.e. reset to blank login page.

Warning: Expected color but found 'thin'. Expected color but found 'dotted'. Expected color but found 'invert'. Expected end of value but found 'invert'. Error in parsing value for 'outline'. Declaration dropped.
Source File: https://ibs.bankwest.com.au/BWLogin/Resources/StyleSheets/common.css
Line: 49

Tony Mugan (tmugan) on 2010-03-28
Changed in firefox (Ubuntu):
status: Incomplete → Confirmed
John Vivirito (gnomefreak) wrote :

Please do not change status of a bug without a comment on why.
Please do not confirm your own bugs as we can not verify if it is a local issue or not.

Changed in firefox (Ubuntu):
status: Confirmed → Incomplete
John Vivirito (gnomefreak) wrote :

We also have nothing to say that it is firefox or just the website.
By the above you posted that looks like the site not firefox

Tony Mugan (tmugan) wrote :

John,

No problem.
I was not sure whether I was expected to change the status from "incomplete" when I replied with the data requested or just wait.

Using a different Firefox profile will allow me to login to bankwest which sounds a little like it is firefox related rather than the website. What do you think?

The error console also shows the same message in the Error Console under Mac OSX with Firefox 3.6.2 but I can login successfully.

Regards,

Tony.

Tony Mugan (tmugan) wrote :

I can login to bankwest if I use a new firefox profile (using firefox -ProfileManager), but only for the first session and then never again unless I create another new firefox profile.

If I close firefox and attempt to use that same profile on the next run, it will not work.

Is there anything under the (~/.mozilla/firefox/) profiles folders that would prove useful in investigating this issue further?

Regards,

Tony.

Tony Mugan (tmugan) wrote :

I've run two packet captures with Firefox

The successful login (with another brand new firefox profile) had 611 packets in just the login process to the Bankwest site.

The failed login (reusing one of the other "tainted" profiles) captured only 67 packets before the session stopped.

On viewing those captures, there is one obvious difference.
The failed one shows packet 15 as an "Encrypted Alert" packet followed by packet 16 as a [FIN, ACK].
This is repeated later in the capture with packet 66 as an "Encrypted Alert" packet followed by packet 67 as a [RST, ACK].

The conversation is clearly being completed much earlier in the failed session which can be consistently reproduced.

Tony Mugan (tmugan) wrote :

Edit #19 above

I've run two packet captures with "Wireshark"

Tony Mugan (tmugan) wrote :

I have reimaged my PC and now have a new motherboard.
This is now the latest Lucid with the 2.6.32-20 linux kernel released today in the repos.

The problem still occurs with the Bankwest online banking site only on the combination of Lucid and Firefox.

https://ibs.bankwest.com.au/BWLogin/rib.aspx

Tony Mugan (tmugan) wrote :

Have tested today with latest version in repos (3.6.3+nobinonly-0ubuntu2) of Firefox and Lucid with all updates as of 20100415.
The Bankwest online banking site cannot be logged into as described above.

If anyone has any ideas on how this can be debugged, let me know, I'll be happy to help resolve as it may relate to other sites with secure logins also.

The site does work fine through Google Chrome.

Draycen DeCator (ddecator) wrote :

Thank you for the update. I'm wondering if this could potentially be a Java problem, although I'm not sure if Java is used when logging into that site. Have you had trouble logging in to any other sites? It would be great if I could do some testing on a site to see if I can narrow down the problem.

Tony Mugan (tmugan) wrote :

Draycen,

Thanks for the reply.

I have not had any issue logging into any other sites at all.
This includes two other secure banking sites.

I also do not have any issues with login accounts to other services e.g. online email, community and social networking sites.

I would like to assist where I can but am not sure what I can do from here.
Do you have any suggestions?

Cheers

mag (mag911) wrote :

G'day,

Just to add that I have exactly the same problems too. Same URL etc.

* - Linux 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC 2010 x86_64 GNU/Linux
* - Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.3) Gecko/20100423 Ubuntu/10.04 (lucid) Firefox/3.6.3
* - java version "1.6.0_16", Java(TM) SE Runtime Environment (build 1.6.0_16-b01), Java HotSpot(TM) 64-Bit Server VM (build 14.2-b01, mixed mode)

Running on Lenovo ThinkPad W500

Regards,
Mag

Tony Mugan (tmugan) wrote :

I have contacted Bankwest to inform them of the issue.
Hopefully they can assist with identifying what the issue is.

G'day Tony,

Thanks for the update.

Mag

On 2 May 2010 20:12, Tony Mugan <email address hidden> wrote:

> I have contacted Bankwest to inform them of the issue.
> Hopefully they can assist with identifying what the issue is.
>
> --
> Can't login to Bankwest net banking with firefox
> https://bugs.launchpad.net/bugs/537293
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “firefox” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: firefox
>
> With the updates received today (2010-03-11), I cannot login to my net
> banking account in firefox.
> Server website confirmed as working on other machines.
>
> When I type in username and password and hit enter, the browser contacts
> the remote server and then returns something but the screen does not change
> leaving me looking at the same login page.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Thu Mar 11 22:47:56 2010
> DistroRelease: Ubuntu 10.04
> FirefoxPackages:
> firefox 3.6+nobinonly-0ubuntu6
> firefox-gnome-support 3.6+nobinonly-0ubuntu6
> firefox-branding 3.6+nobinonly-0ubuntu6
> abroswer N/A
> abrowser-branding N/A
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> NonfreeKernelModules: nvidia
> Package: firefox 3.6+nobinonly-0ubuntu6
> ProcEnviron:
> LANG=en_AU.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> SourcePackage: firefox
> Uname: Linux 2.6.32-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/537293/+subscribe
>

Micah Gersten (micahg) wrote :

@Tony Mugan

Do you have Sun Java as well as OpenJDK installed?

@mag
You seem to have an outdated Sun Java plugin, could you upgrade to 6.20 please and retest?

Tony Mugan (tmugan) wrote :

@Micah

Thanks for the follow-up

I have not enabled the Partner repos for Lucid and do NOT have Sun java (sun-java6-jre) installed.

I have openjdk-6-jre installed.

Tony Mugan (tmugan) wrote :

I received a response from Bankwest.

It was a stock answer about clearing the cache in the Browser (IE or Netscape????) so I'm not sure we'll get any help there.

mag (mag911) wrote :

I took the approach of re-installing Ubuntu 10.04 i386 (32 bit), whereas previously I was running 10.04 x64. With my new, stock installation, the BankWest login works as intended. :) So I can only suggest that it was either the 64 bit installation that had something 'wrong' with it, or the Java that I had installed was not configured correctly (although I only ever ran the standard installer to get it on there). My reason for saying this is that I also tried the BankWest site with Opera 10.x and it too failed to login, but it least it spat out an error stating "An error has occurred, please contact BankWest". I did also try a safe mode launch of Firefox under the x64 bit installation, but I had no luck with that either.

From here, I plan to install VirtualBox and then install various iterations of 10.04 (i386 & x64), and whatever else is required, and see if I can narrow it down a bit more.

John Vivirito (gnomefreak) wrote :

I'm unsure this is anything but an extension or a profile bug. I can log into all my 2 banks sites and every other site i go to.

mag (mag911) wrote :

Test #1:
            Ubuntu 10.04 x64 within VirtualBox, running as a Live CD.
Result:
           Can logon as intended.

Test #2:
            Ubuntu 10.04 x64 within VirtualBox, installed to disk from Live CD, no Ubuntu Updates yet.
Result:
           Can logon as intended.

mag (mag911) wrote :

Test #3:
            Ubuntu 10.04 x64 within VirtualBox + Ubuntu Updates + VirtualBox Guest Additions.
Result:
           BankWest logon broken. Can no longer login.

mag (mag911) wrote :

Test #3:
            Ubuntu 10.04 x64 within VirtualBox + VirtualBox Guest Additions.
Result:
           BankWest logon broken. Can no longer login.

Comment:
                Well this is an odd result, as my original post (on the 2nd of May) was because I had problems on the original hardware, not inside a VirtualBox guest.

Tony Mugan (tmugan) wrote :

mag,

Get yourself an ingdirect Savings Maximiser and Orange Everyday account instead ;P
(seriously, better interest rates, free at all ATMs if you take out over $200, and you can even earn $60 when you first open it)

Bankwest is not such an issue for me now since I can get to it in Google chrome and I don't use the account much anymore.

It seems to be profile related though as I mentioned previously. The first time you use a Firefox profile, you can login but then that profile gets broken somehow and is not usable thereafter.

Tony Mugan (tmugan) wrote :

This is still marked as incomplete but I am not aware of what I can do to provide more information.
Can anyone guide me further on useful debugging.

I have just confirmed again today after a FF upgrade to version 3.6.7.
Same issue when logging into bankwest.com.au site.

I have no issues with any other sites.

Marty (marty-supine) wrote :

Likewise, the urgency has gone out of this because Chrome on Linux works.

However I would still like to assist in getting it fixed as I do everything else in Firefox and it would be nice not to have to switch.

Tony Mugan (tmugan) wrote :

I've just upgraded to Ubuntu 10.10 "Maverick Meerkat" and the problem still remains.

Tony Mugan (tmugan) wrote :

Confirmed again on Maverick with all latest updates and Firefox 3.6.9

I'm not sure whether this is being viewed at all as it is marked as "incomplete".
I am marking as new to make sure that any reviewers are aware that all requests for information have been answered.

Changed in firefox (Ubuntu):
status: Incomplete → New
Tony Mugan (tmugan) wrote :

Oh, and happy to assist with any testing required as usual. :)

Brent McArthur (bee-mach) wrote :

Hey Guys,

I've been experiencing this bug for about the same time as Tony. The bug is still there after I upgraded to 10.10 as well.

The problem isn't with the profiles as such. It's with the cookies. This is my workaround that I use so that I can continue to use firefox with the bankwest website:

1. Edit -> Preferences -> Privacy Tab -> click "Remove individual cookies" link
2. Search for bankwest
3. Delete all of the bankwest cookies

After doing this I go to the normal bankwest login page and I can login. I always get an error after logging in but the session functions as normal. It won't let me log in again unless I clear the cookies. Alternatives to this are using private browsing mode etc. Of course all of these workaround are still pretty annoying :) For some strange reason Firefox on Ubuntu must have some kind of bug around it's cookie management.. That's the only thing I can think of. I even tried changing my user agent string (using useragent switcher FF plugin) and the problem is still there. This effectively proves that the site isn't sending different cookies because it detects firefox with Ubunutu.

I also contacted bankwest but heard nothing.

Hopefully one day someone is works this out :)

Tony Mugan (tmugan) wrote :

Thanks for that workaround, Brent.

It worked for me also but I had some difficulty removing 3 of the cookies and had to restart the browser a couple of times to get it into a clean "no bankwest cookies" state.

I've been coping by using the Chromium browser instead but this gives an acceptable workaround until the issue can be better identified.

I wonder if there are particular cookies that are causing the problem or is it the presence of any of them.

Cheers

Tony.

Richard Tresidder (rtresidd) wrote :

I can confirm that this issue is not just confined to ubuntu.
Running x64 F14 with
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.12) Gecko/20101027 Fedora/3.6.12-1.fc14 Firefox/3.6.12
And I see this problem..
It is definitely related to cookies not being cleared on session end.
The cookies from ibs.bankw..... have a flag set saying they should "expire at end of session" and they don't
Hence they exist when you try to logon next time and this aint good..

They do get cleared correctly in windows version of firefox.
Also get cleared correctly in Konqueror for example.
Just my 2 cents seeing as the above solution helped me out :)
Will this bug be forwarded up to the firefox guys? or should I do that separately?

Thanks
   Richard

Brent McArthur (bee-mach) wrote :

Nice pickup Richard. If you're happy to forward this to the firefox guys then that would be appreciated if you could! Thanks a lot.

Andreas Wettergren (murpe79) wrote :

Has this been corrected in later versions of Firefox? I'm running 3.6.17 on 10.04 x86_64, and can confirm this bug. The workaround works. Additionally, clearing only ibs.bankwest.com cookies before logging in works for me, i have not pinpointed the exact cookie though.

Changed in firefox (Ubuntu):
status: New → Confirmed
Brent McArthur (bee-mach) wrote :

Nah - problem still exists. I'm running Firefox 4.0.1 on Ubuntu 11.04

Still the same issue still using the same work around. Not sure if Richard ever logged this bug with the firefox guys?

I couldn't find a bug report with the firefox guys so I generated it myself: https://bugzilla.mozilla.org/show_bug.cgi?id=667818

Hopefully it can be fixed, but I'm not sure which side is causing the bug - Firefox or Bankwest?

Brent McArthur (bee-mach) wrote :

If this bug affects you I recommend you follow the link provided by Angus: https://bugzilla.mozilla.org/show_bug.cgi?id=667818 and vote for it (you'll see vote options listed under "Importance").

At least that way it may get enough attention to be fixed.

Tony Mugan (tmugan) wrote :

For the record, I have just confirmed the issue is still in Firefox 6.0 on Ubuntu 11.10 Alpha

The link above from Angus and Brent mentions that the fix has been found so hopefully will find it into Firefox before the Ubuntu release date in October.

http://hg.mozilla.org/mozilla-central/rev/2429a81db426

Tony Mugan (tmugan) wrote :

This is still not working in Oneiric with Firefox 7.0

Tony Mugan (tmugan) wrote :

It works in Chrome though still.
Firefox is whipping through version numbers without a lot of difference between them.

Is there a politician running Mozilla development?

Matti-mversen (matti-mversen) wrote :

Tony:
Angus McLauchlan did the right thing and reported such a Firefox Core issue to bugzilla.mozilla.org and he provided together with Brent McArthur enough information that the developer could fix the bug. The fix is confirmed here : https://bugzilla.mozilla.org/show_bug.cgi?id=667818#c42

Your comment about politicans and the Mozilla development is nonsense.

Tony Mugan (tmugan) wrote :

Matti,

Agreed, the comment was irrelevant here.
Apologies for the poor humour.

Cheers,

Tony.

Tony Mugan (tmugan) wrote :

I can confirm that I no longer have the issue and can login now to bankwest with Firefox.

I am using Ubuntu 12.04 Alpha 2 (Precise Pangolin) with Firefox version 11.0~b1+build1-0ubuntu1

Not sure when this arrived but it's working now.

This pre-release of Ubuntu is very stable for me so I'm happy.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.